classification
Title: Add test for MIMENonMultipart
Type: Stage: resolved
Components: email, Tests Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, barry, iritkatriel, miss-islington, r.david.murray, vajrasky, wangjiahua
Priority: normal Keywords: easy, patch

Created on 2013-10-31 15:59 by vajrasky, last changed 2021-11-29 12:04 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
add_test_non_multipart.patch vajrasky, 2013-10-31 15:59 review
Pull Requests
URL Status Linked Edit
PR 29817 merged wangjiahua, 2021-11-28 03:56
PR 29818 merged miss-islington, 2021-11-28 09:25
PR 29819 merged miss-islington, 2021-11-28 09:25
Messages (6)
msg201827 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-10-31 15:59
Apparently there is no test for MIMENonMultipart.

[sky@localhost cpython]$ grep -R MIMENonMultipart Lib/test/*
[sky@localhost cpython]$

Attached the patch to add test for MIMENonMultipart.
msg228203 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-10-02 10:29
A quick glance says the patch is okay so can we have a commit review please.
msg404785 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-10-22 15:40
The patch needs to be converted to a GitHub PR.
msg407194 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2021-11-28 09:24
New changeset 46c8d915715aa2bd4d697482aa051fe974d440e1 by 180909 in branch 'main':
bpo-19460: Add test for MIMENonMultipart (GH-29817)
https://github.com/python/cpython/commit/46c8d915715aa2bd4d697482aa051fe974d440e1
msg407198 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2021-11-28 10:57
New changeset 2c398a5acf85d1bbc5796f3385972d0759b90e54 by Miss Islington (bot) in branch '3.10':
[3.10] bpo-19460: Add test for MIMENonMultipart (GH-29817) (GH-29818)
https://github.com/python/cpython/commit/2c398a5acf85d1bbc5796f3385972d0759b90e54
msg407208 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2021-11-28 14:33
New changeset 209cec8a2a2e845df5af764a9171af05a2a4c8e3 by Miss Islington (bot) in branch '3.9':
[3.9] bpo-19460: Add test for MIMENonMultipart (GH-29817) (#29819)
https://github.com/python/cpython/commit/209cec8a2a2e845df5af764a9171af05a2a4c8e3
History
Date User Action Args
2021-11-29 12:04:49asvetlovsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9, Python 3.10
2021-11-28 14:33:58asvetlovsetmessages: + msg407208
2021-11-28 10:57:14asvetlovsetmessages: + msg407198
2021-11-28 09:25:04miss-islingtonsetpull_requests: + pull_request28051
2021-11-28 09:25:00miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request28050
2021-11-28 09:24:45asvetlovsetnosy: + asvetlov
messages: + msg407194
2021-11-28 03:56:19wangjiahuasetkeywords: + patch
nosy: + wangjiahua

pull_requests: + pull_request28049
stage: patch review
2021-10-22 15:40:25iritkatrielsetversions: + Python 3.11, - Python 3.4
nosy: + iritkatriel

messages: + msg404785

keywords: + easy, - patch
2019-04-26 18:17:00BreamoreBoysetnosy: - BreamoreBoy
2014-10-02 10:29:03BreamoreBoysetnosy: + BreamoreBoy
messages: + msg228203
2013-10-31 17:30:36r.david.murraysetnosy: + barry
components: + email
2013-10-31 15:59:31vajraskycreate